<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\Detailsreiter\Feedback;

class DozFeedbackFormularPresenter extends \Kufer\KuferTools\Ausgaben\Feedback\FeedbackFormularPresenter
{
  protected function getView()
  {
    return new DozFeedbackFormularView($this->getViewModel());
  }
  
  protected function getNewViewModel(): \Kufer\KuferTools\Ausgaben\Feedback\FeedbackFormularViewModel
  {
    return new DozFeedbackFormularViewModel();
  }
  
  protected function getViewModel()
  {
    $viewModel = parent::getViewModel();
    $viewModel->sendEMailToVerwMitarbeiter = $this->useCaseResponse->sendEMailToVerwMitarbeiter;
    $viewModel->sendEMailToPlanendMitarbeiter = $this->useCaseResponse->sendEMailToPlanendMitarbeiter;
    $viewModel->sendEMailToEinrichtung = $this->useCaseResponse->sendEMailToEinrichtung;
    $viewModel->sendEMailToDozent = $this->useCaseResponse->sendEMailToDozent;
    
    $viewModel->vhsname = $this->useCaseResponse->vhsname;
    
    return $viewModel;
  }
}